bug 462788

 configure.ac | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/configure.ac b/configure.ac
index 430c15d..50ce687 100644
--- a/configure.ac
+++ b/configure.ac
@@ -31,15 +31,21 @@ TORRENT_WITHOUT_STATVFS()
 TORRENT_WITHOUT_STATFS()
 
 AX_PTHREAD([], AC_MSG_ERROR([requires pthread]))
-AX_WITH_CURSES()
-
-if test "x$ax_cv_ncursesw" != xyes && test "x$ax_cv_ncurses" != xyes; then
-   AC_MSG_ERROR([requires either NcursesW or Ncurses library])
-fi
+PKG_CHECK_MODULES([CURSES],[ncursesw],[
+	AC_DEFINE(HAVE_NCURSESW_CURSES_H, 1)
+	],
+	[PKG_CHECK_MODULES([CURSES],[ncurses],[
+		AC_DEFINE(HAVE_NCURSES_H, 1)
+		],
+		[AX_WITH_CURSES()
+		if test "x$ax_cv_ncursesw" != xyes && test "x$ax_cv_ncurses" != xyes; then
+			AC_MSG_ERROR([requires either NcursesW or Ncurses library])
+		fi])
+	])
 
 CFLAGS="$CFLAGS $PTHREAD_CFLAGS $CURSES_CFLAGS"
 CXXFLAGS="$CXXFLAGS $PTHREAD_CFLAGS $CURSES_CFLAGS"
-LIBS="$PTHREAD_LIBS $CURSES_LIB $LIBS"
+LIBS="$PTHREAD_LIBS $CURSES_LIB $CURSES_LIBS $LIBS"
 
 PKG_CHECK_MODULES([libcurl], libcurl >= 7.15.4,
 	          CXXFLAGS="$CXXFLAGS $libcurl_CFLAGS";
